com.creamtec.ajaxswing

## Class HttpServletRequestImpl.SerializableEnumeration

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - com.creamtec.ajaxswing.HttpServletRequestImpl.SerializableEnumeration

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.Enumeration, java.util.List, java.util.RandomAccess
  Enclosing class:
    HttpServletRequestImpl

      public static class HttpServletRequestImpl.SerializableEnumeration
      extends java.util.ArrayList
      implements java.util.Enumeration

  Provides serializable wrapper for Ennumeration.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServletRequestImpl.SerializableEnumeration()`
    `HttpServletRequestImpl.SerializableEnumeration(java.util.Enumeration enumeration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasMoreElements()`
    `java.lang.Object` | `nextElement()`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

- - ### Constructor Detail

    - #### HttpServletRequestImpl.SerializableEnumeration

          public HttpServletRequestImpl.SerializableEnumeration()

    - #### HttpServletRequestImpl.SerializableEnumeration

          public HttpServletRequestImpl.SerializableEnumeration(java.util.Enumeration enumeration)

  - ### Method Detail

    - #### hasMoreElements

          public boolean hasMoreElements()

      Specified by:
        `hasMoreElements` in interface `java.util.Enumeration`

    - #### nextElement

          public java.lang.Object nextElement()
                                       throws java.util.NoSuchElementException

      Specified by:
        `nextElement` in interface `java.util.Enumeration`
      Throws:
        `java.util.NoSuchElementException`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.